PluginManagerAwareBeanPostProcessor (Grails 3.2.9)
Date: 2017-04-26

Package: org.grails.spring.beans

## [Java] Class PluginManagerAwareBeanPostProcessor

- org.grails.spring.beans.PluginManagerAwareBeanPostProcessor

- All Implemented Interfaces and Traits:
    org.springframework.beans.factory.BeanFactoryAware

      public class PluginManagerAwareBeanPostProcessor
      extends BeanPostProcessorAdapter

  Auto-injects beans that implement PluginManagerAware.

  Authors:
    Graeme Rocher
  Since:
    1.2

- - ### Constructor Summary

    Constructors
    Constructor and description
    `PluginManagerAwareBeanPostProcessor ()`
    `PluginManagerAwareBeanPostProcessor (GrailsPluginManager pluginManager)`

  - ### Methods Summary

    Methods
    Type Params | Return Type | Name and description
    --- | --- | ---
    `` | `java.lang.Object` | `postProcessBeforeInitialization(java.lang.Object bean, java.lang.String beanName)`
    `` | `void` | `setBeanFactory(org.springframework.beans.factory.BeanFactory beanFactory)`

  - ### Inherited Methods Summary

    Inherited Methods
    Methods inherited from class | Name
    --- | ---
    `class BeanPostProcessorAdapter` | `postProcessAfterInitialization, postProcessBeforeInitialization`
    `class java.lang.Object` | `java.lang.Object#wait(long, int), java.lang.Object#wait(long), java.lang.Object#wait(), java.lang.Object#equals(java.lang.Object), java.lang.Object#toString(), java.lang.Object#hashCode(), java.lang.Object#getClass(), java.lang.Object#notify(), java.lang.Object#notifyAll()`

- - ### Constructor Detail

    - #### public PluginManagerAwareBeanPostProcessor()

    - #### public PluginManagerAwareBeanPostProcessor(GrailsPluginManager pluginManager)

  - ### Method Detail

    - #### @java.lang.Override public java.lang.Object postProcessBeforeInitialization(java.lang.Object bean, java.lang.String beanName)

    - #### @java.lang.Override public void setBeanFactory(org.springframework.beans.factory.BeanFactory beanFactory)